classification
Title: using/windows launcher image might be deprecated
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: docs@python, mdk, paul.moore, seluj78, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2018-12-18 12:15 by seluj78, last changed 2019-07-26 20:43 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
win_install_python.png seluj78, 2018-12-19 10:48 New Windows Installer Python 3.7.1
Screenshot_2.png seluj78, 2018-12-19 14:11 New Windows Installer Python 3.7.1 Without display scaling enabled
Pull Requests
URL Status Linked Edit
PR 14966 merged steve.dower, 2019-07-26 17:50
PR 14969 merged steve.dower, 2019-07-26 20:05
Messages (10)
msg332055 - (view) Author: Jules Lasne (seluj78) * Date: 2018-12-18 12:15
https://docs.python.org/3/_images/win_installer.png

This image corresponds to the Python 3.5 installer. Would it be useful to get a new screenshot of the latest installer ?

I can do it if needed
msg332056 - (view) Author: Jules Lasne (seluj78) * Date: 2018-12-18 12:20
There is also a conflict between the image and the text:

Under `Selecting a custom install`, a line says
```
To perform an all-users installation, you should select “Customize installation”. In this case:
```

But the screenshot of the installer shows that you can select an option on the main menu to install for all users.

What should be done about this conflict ? I cannot currently run the latest installer on Windows but will be able to tonight or tomorrow to check it if no one did before.
msg332073 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-18 18:14
That option is only for the py.exe launcher and not the whole installation (notice the target path is still under C:\Users).

Having an updated image would be fine, though the only difference should be the version number. If you can provide a similar sized image of the 3.7 installer (screen scaling at 100%) then I'll add the drop shadow, cover the username and update the docs.
msg332124 - (view) Author: Jules Lasne (seluj78) * Date: 2018-12-19 10:48
Here is the image, it should be the same size (by a few pixels).

Oddly enough, I couldn't get the bottom part to unfold and I can't figure out why
msg332141 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-12-19 14:01
It looks like display scaling, which you'll need to disable for this. The UI for the installer is slightly aware of scaling, but not enough to resize multiline elements automatically.
msg332142 - (view) Author: Jules Lasne (seluj78) * Date: 2018-12-19 14:11
Here it is again, with display scaling disabled ! :)
msg336737 - (view) Author: Jules Lasne (seluj78) * Date: 2019-02-27 09:06
Hi there, any news on this ?

Of course it isn't top priority but might as well do it if you can :)
msg348513 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-26 17:51
I made a fake 3.8.0 installer and made the screenshot, so we'll only backport it to 3.8. I think 3.7 is fine with what it has.
msg348524 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-26 20:04
New changeset 9d9893a1c85e07f7369c848acb0aed3b8fe6c3af by Steve Dower in branch 'master':
bpo-35524: Update Windows installer image in docs (GH-14966)
https://github.com/python/cpython/commit/9d9893a1c85e07f7369c848acb0aed3b8fe6c3af
msg348525 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-07-26 20:40
New changeset 886e66d111b6b865e582d8cc7974d5c0b398da99 by Steve Dower in branch '3.8':
bpo-35524: Update Windows installer image in docs (GH-14966)
https://github.com/python/cpython/commit/886e66d111b6b865e582d8cc7974d5c0b398da99
History
Date User Action Args
2019-07-26 20:43:07steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-07-26 20:40:16steve.dowersetmessages: + msg348525
2019-07-26 20:05:33steve.dowersetpull_requests: + pull_request14738
2019-07-26 20:04:23steve.dowersetmessages: + msg348524
2019-07-26 17:51:27steve.dowersetmessages: + msg348513
versions: + Python 3.8, Python 3.9, - Python 3.7
2019-07-26 17:50:51steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request14734
2019-02-27 09:06:01seluj78setmessages: + msg336737
2018-12-19 14:11:26seluj78setfiles: + Screenshot_2.png

messages: + msg332142
2018-12-19 14:01:24steve.dowersetmessages: + msg332141
2018-12-19 10:48:39seluj78setfiles: + win_install_python.png

messages: + msg332124
2018-12-18 18:14:46steve.dowersetmessages: + msg332073
2018-12-18 16:41:48zach.waresetassignee: docs@python -> steve.dower

components: + Windows
nosy: + paul.moore, tim.golden, zach.ware, steve.dower
2018-12-18 12:20:56seluj78setnosy: + mdk
messages: + msg332056
2018-12-18 12:15:02seluj78create